﻿Imports C1.Chart
Imports C1.Win.Chart
Imports System.Collections.ObjectModel

Partial Public Class Form1
    Inherits Form

    Private data As ObservableCollection(Of Data)
    Private RightAxisTitle As String = "Title - Value2"

    Public Sub New()
        InitializeComponent()
        data = New ObservableCollection(Of Data)()
        Dim rnd = New Random()

        For i As Integer = 0 To 10 - 1
            data.Add(New Data() With {
                .Id = i,
                .Value = rnd.[Next](0, 10)
            })
        Next

        FlexChart1.DataSource = data
        FlexChart1.BindingX = "Id"
        FlexChart1.Series.Clear()
        Dim series1 = New Series()
        series1.Binding = "Value"
        series1.Name = "Value"
        series1.ChartType = ChartType.LineSymbols
        FlexChart1.Series.Add(series1)
        AddHandler FlexChart1.Rendering, AddressOf FlexChart1_Rendering
    End Sub

    Private Sub FlexChart1_Rendering(ByVal sender As Object, ByVal e As RenderEventArgs)
        e.Engine.SetStroke(Brushes.Black)
        e.Engine.SetFont(New Font("Segoe UI", 9))
        Dim x = FlexChart1.AxisX.Convert(1) + 10
        Dim y = FlexChart1.AxisY.Convert((CType(FlexChart1.AxisY, C1.Chart.IAxis)).GetMin()) - 10
        Dim angle = 90

        'Annotation 1
        e.Engine.DrawStringRotated("Annotation 1", New C1.Chart._Point(x, y), New C1.Chart._Point(x, y), angle)

        'Annotation 2
        x = FlexChart1.AxisX.Convert(5) + 10
        e.Engine.DrawStringRotated("Annotation 2", New C1.Chart._Point(x, y), New C1.Chart._Point(x, y), angle)

        'Annotation 3
        x = FlexChart1.AxisX.Convert(8) + 10
        e.Engine.DrawStringRotated("Annotation 3", New C1.Chart._Point(x, y), New C1.Chart._Point(x, y), angle)
    End Sub
End Class

Public Class Data
    Public Property Id As Integer
    Public Property Value As Integer
End Class
